Which Firmware is the best?

Discussion in 'iPod touch 1.1.x Jailbreak' started by tey, Mar 3, 2008.

  1. tey

    tey New Member

    Joined:
    Dec 29, 2007
    Messages:
    18
    Likes Received:
    0
    hi all,
    i've got my ipod since 3 months now. It's a jailbroken 1.1.1, the firmware it came with. my question is if it would make sense to upgrade to a newer firmware and jailbreak it? are there any advantages on the newer firmwares?
  2. GrooveMachine

    GrooveMachine Active Member

    Joined:
    Dec 27, 2007
    Messages:
    1,741
    Likes Received:
    11
    Device:
    iPod touch
    1.1.3 is the best because it's working with essentially every Installer application available. You might consider 1.1.4 with the SDK around the corner though...
  3. tey

    tey New Member

    Joined:
    Dec 29, 2007
    Messages:
    18
    Likes Received:
    0
    are the sdk apps only supported by 1.1.4?
  4. Anonymouslyanonymous

    Anonymouslyanonymous Member

    Joined:
    Nov 10, 2007
    Messages:
    661
    Likes Received:
    21
    Device:
    iPod touch
    we don't know this yet as apple hasn't mentioned anything about it. Although it would be safe to presume that 1.1.4 would be the lowest firmware that itunes will allow the SDK apps to run on when they come out.
  5. water is poison

    water is poison New Member

    Joined:
    Jan 2, 2008
    Messages:
    113
    Likes Received:
    1
    i would either go to 1.1.3 or wait it out until we know more about SDK
  6. jjj651

    jjj651 New Member

    Joined:
    Jan 28, 2008
    Messages:
    408
    Likes Received:
    2
    Device:
    2G iPod touch
    yeah.
  7. MJeto7

    MJeto7 Member

    Joined:
    Jan 25, 2008
    Messages:
    394
    Likes Received:
    15
    Device:
    iPhone 4S (White)
    I'm on 1.1.4 right now and a lot of the apps aren't working properly.

    I've heard that sdk will only work with iPod touch firmware 1.2.x and iPhone firmware 2.x.x
  8. blurx

    blurx Member

    Joined:
    Dec 16, 2007
    Messages:
    99
    Likes Received:
    2
    I still use 1.1.2, don't really care for wiggle icons, don't know what else 1.1.3 has.
  9. sushiboy

    sushiboy New Member

    Joined:
    Feb 11, 2008
    Messages:
    162
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    1.1.3 for me. Although I'm using 1.1.4 right now--trying it out.

Share This Page